> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Proxy Policies Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/proxies/{proxy_id}/policies
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/proxies/{proxy_id}/policies:
    get:
      tags:
        - policies
      summary: List Proxy Policies Route
      operationId: list_proxy_policies_route_api_v1_proxies__proxy_id__policies_get
      parameters:
        - name: proxy_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Proxy Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by enabled state
            title: Enabled
          description: Filter by enabled state
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by category
            title: Category
          description: Filter by category
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Case-insensitive substring match on name
            title: Search
          description: Case-insensitive substring match on name
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_PolicyRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_PolicyRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PolicyRead'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[PolicyRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PolicyRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        proxy_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Proxy Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        owner_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Owner Id
        name:
          type: string
          title: Name
        category:
          type: string
          title: Category
        summary:
          type: string
          title: Summary
        rego:
          type: string
          title: Rego
        enabled:
          type: boolean
          title: Enabled
        stage:
          type: string
          title: Stage
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - proxy_id
        - org_id
        - owner_id
        - name
        - category
        - summary
        - rego
        - enabled
        - stage
        - created_at
        - updated_at
      title: PolicyRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````